# Dialog number

A decision block that lets the user select a numeric value within a range.

The fiber will pause until the user has selected a number, cancelled the dialog or the timeout expired.

For keyboard entry use the dialog input block with the number input type.

## Input arguments

- Title — dialog title, default is no title.
- Style — style of dialog, default is Wheel.
- Minimum value — minimum value allowed, default is 0.
- Maximum value — maximum value allowed, default is 999.
- Initial value — initial value, default is minimum value.
- Timeout — time until the notification/dialog is automatically canceled, may be inaccurate as it’s affected power save features such as “doze”, default is no timeout.
- Notification channel — UUID of notification channel used for shown notification, default is the flow default or Flow.
- Show window — whether to show the dialog window directly without having to tap the notification. Requires the “appear atop of other apps or parts of the screen” privilege on Android 10+.

## Output variables

- Selected value — variable to assign the selected value.